repos:
  - repo: https://github.com/astral-sh/ruff-pre-commit
    rev: v0.9.0  # Use the desired version of ruff
    hooks:
      - id: ruff
        # args: ["--fix"]  # Automatically apply fixes where possible
      - id: ruff-format
